> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/developers/docker_setup.md).

# Set up Docker

Before you start this section, you must install Docker by following [this](https://docs.docker.com/engine/install/) official guide.

## Building the image

Once you have access to this repository and the dev environment is installed on your host OS (via `make setup_env` once [you followed the steps here](/concrete-ml/developers/project_setup.md)), you should be able to launch the commands to build the dev Docker image with `make docker_build`.

Once you do that, you can get inside the Docker environment using the following command:

```shell
make docker_start

# or build and start at the same time
make docker_build_and_start

# or equivalently but shorter
make docker_bas
```

After you finish your work, you can leave Docker by using the `exit` command or by pressing `CTRL + D`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zama.org/concrete-ml/developers/docker_setup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
